Summary:	Utilities for working with md5sum implanted in ISO images
Name:		isomd5sum
Version:	1.1.0
Release:	1
License:	GPLv2+
Group:		Archiving/Cd burning
Url:		https://github.com/rhinstaller/isomd5sum
Source0:	https://github.com/rhinstaller/isomd5sum/archive/%{version}.tar.gz?/%{name}-%{version}.tar.gz
BuildRequires:	popt-devel

%description
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%files
%doc COPYING
%{_bindir}/implantisomd5
%{_bindir}/checkisomd5
%{_mandir}/man*/*

#----------------------------------------------------------------------------

%package devel
Summary:	Development headers and library for using isomd5sum 
Group:		Development/C
Requires: %{name} = %{EVRD}

%description devel
This contains header files and a library for working with the isomd5sum
implanting and checking.

%files devel
%{_includedir}/*.h
%{_libdir}/*.a

#----------------------------------------------------------------------------

%package -n python-isomd5sum
Summary:	Python bindings for isomd5sum
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python-isomd5sum
Python bindings for isomd5sum.

%files -n python-isomd5sum
%{_libdir}/python3.4/site-packages/pyisomd5sum.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Wno-strict-aliasing"
make checkisomd5 implantisomd5 pyisomd5sum.so

%install
make DESTDIR=%{buildroot} install-bin install-devel install-python

%changelog

* Mon Apr 25 2016 dsilakov <denis.silakov@rosalab.ru> 1.1.0-1
- (c073ce4) Merge pull request #1 from alzim/isomd5sum:rosa2014.1
- (c073ce4) Updated to 1.1.0


